diff --git a/distrib/utils/sysinst/msg.mi.fr b/distrib/utils/sysinst/msg.mi.fr
index c23f09c..b4d2c12 100644
--- a/distrib/utils/sysinst/msg.mi.fr
+++ b/distrib/utils/sysinst/msg.mi.fr
@@ -1104,6 +1104,10 @@ message enable_sshd {Activer sshd}
 message enable_ntpd {Activer ntpd}
 message run_ntpdate {Executer ntpdate au démarrage}
 message enable_mdnsd {Activer mdnsd}
+message enable_xdm {Activer xdm}
+message enable_cgd {Activer cgd}
+message enable_lvm {Activer lvm}
+message enable_raid {Activer raidframe}
 message configmenu {Configurer les items suivants si nécéssaire.}
 message doneconfig {Configuration terminée}
 message Install_pkgin {Installer pkgin et mettre à jour le sommaire des paquetages}
@@ -1132,3 +1136,148 @@ message pkgin_failed
 {L'installation de pkgin a échoué, peut-être parce que son paquetage binaire
 n'existe pas.  Vérifiez le chemin et essayez à nouveau.}
 message failed {Échoué}
+
+
+message notsupported {Le fonctionnement n'est pas pris en charge!}
+message askfsmountadv {Point de montage ou de 'raid' ou 'cgd' ou 'lvm'?}
+message partman {Partitionnement étendue}
+message editbsdpart {Modifier les partitions BSD}
+message editmbr {Modifiez et enregistrez MBR}
+message switchgpt {Mettre à GPT}
+message switchmbr {Basculer vers MBR}
+message renamedisk {Définir le nom du disque}
+message fmtasraid {Format en RAID}
+message fmtaslvm {Format de LVM PV}
+message encrypt {Crypter}
+message setbootable {Drapeau d'amorçage}
+message erase {Fonction d'effacement sécurisé}
+message undo {Annuler les changements}
+message unconfig {Annulation de la configuration}
+message edit {Éditer}
+message doumount {Groupe umount}
+message fillzeros {Remplir de zéros}
+message fillrandom {Remplissez par des données aléatoires}
+message fillcrypto {Remplissez par crypto données}
+message raid0 {0 - Pas de parité, l'entrelacement seulement simple.}
+message raid1 {1 - Mirroring. La parité est le miroir.}
+message raid4 {4 - Entrelacement avec parité stockées sur le dernier composant. component.}
+message raid5 {5 - Entrelacement avec parité à tous les composants. components.}
+
+message fremove {ENLEVER}
+message remove {Supprimer}
+message add {Ajouter}
+message auto {auto}
+
+message removepartswarn {Cette supprimer toutes les partitions sur le disque. Voulez-vous continuer? want to continue?}
+message saveprompt {Enregistrer les modifications avant de terminer?}
+message cantsave {Aucune modification ne peut être sauvé.}
+message noroot {Aucune partition racine défini, ne peut pas continuer \n continue\n}
+message wannaunblock {L'appareil est bloqué. Voulez-vous forcer le débloquer et continuer? unblock it and continue?}
+message wannatry {Voulez-vous essayer?}
+message create_cgd {Le volume cryptographique Créer (CGD)}
+message create_cnd {Créer une image de disque virtuel (VND)}
+message create_vg {Créer un groupe de volumes LVM (VG)}
+message create_lv {      Créer un volume logique}
+message create_raid {Créer un RAID logiciel}
+message updpmlist {Mettre à jour la liste des dispositifs}
+message savepm {Enregistrer les modifications}
+message pmblocked {BLOQUE}
+message pmunchanged {INCHANGÉ}
+message pmsetboot {BOOT}
+message pmused {UTILISÉ}
+message pmmounted {(monté)}
+message pmunused {(non utilisé)}
+message pmgptdisk {Disque avec GPT}
+
+message finishpm {Terminer le partitionnement}
+message limitcount {Limite pour le nombre de dispositifs a été atteint!}
+message invaliddev {Blancs appareil!}
+message avdisks {Disques disponibles:}
+message nofreedev {Impossible d'allouer noeud de périphérique!}
+message partman_header
+{Gestionnaire de partition. Tous les disques, les partitions et etc affiché.
+Dans un premier temps partitions MBR faire, puis faire étiquette BSD.
+Si vous souhaitez utiliser RAID, LVM ou DMC, procédez comme suit:
+1) Créer les partitions BSD de type de besoin; 2) Créer un système RAID /
+LVM VG / DMC utilisation de ces partitions; 3) la sauver;
+4) Créer des partitions pour les volumes RAID / DMC ou logique par LVM.}
+
+message raid_menufmt {   raid%d (niveau %1d) sur %-32s %11uM}
+message raid_err_menufmt {   RAID VIDE!}
+message raid_disks_fmt {Disques: %31s}
+message raid_spares_fmt {Pièces de rechange: %20s}
+message raid_level_fmt {Niveau RAID:      %22d}
+message raid_numrow_fmt {numRow:           %22d}
+message raid_numcol_fmt {numCol:           %22d}
+message raid_numspare_fmt {numSpare:         %22d}
+message raid_sectpersu_fmt {sectPerSU:        %22d}
+message raid_superpar_fmt {SUsPerParityUnit: %22d}
+message raid_superrec_fmt {SUsPerReconUnit:  %22d}
+message raid_nomultidim {Tableaux multi-dimensionnels sont pas pris en charge!}
+message raid_numrow_ask {numRow?}
+message raid_numcol_ask {numCol?}
+message raid_numspare_ask {numSpare?}
+message raid_sectpersu_ask {sectPerSU?}
+message raid_superpar_ask {SUsPerParityUnit?}
+message raid_superrec_ask {SUsPerReconUnit?}
+message raid_disks {Disques en RAID:}
+message vnd_err_menufmt {   PATH NOT DEFINED!}
+message vnd_assgn_menufmt {   vnd%1d sur %-50s ASSIGN}
+message vnd_menufmt {   vnd%1d sur %-44s %11uM}
+message vnd_path_fmt {Chemin du fichier: %20s}
+message vnd_assgn_fmt {Attribuer existent image: %14s}
+message vnd_size_fmt {Taille:            %20sM}
+message vnd_ro_fmt {Read-only:          %20s}
+message vnd_geom_fmt {Définir la géométrie à la main: %8s}
+message vnd_bps_fmt {Octets par secteur: %20s}
+message vnd_spt_fmt {Secteurs par piste: %20s}
+message vnd_tpc_fmt {Pistes par cylindre: %19s}
+message vnd_cyl_fmt {Cylindres:          %20s}
+message vnd_path_ask {Chemin du fichier?}
+message vnd_size_ask {Taille (MB)?}
+message vnd_bps_ask {Octets par secteur?}
+message vnd_spt_ask {Secteurs par piste?}
+message vnd_tpc_ask {Pistes par cylindre?}
+message vnd_cyl_ask {Cylindres}
+message cgd_err_menufmt {   DISQUE NON DEFINI!}
+message cgd_menufmt {   cgd%1d %-48s %11uM}
+message cgd_dev_fmt {Dispositif de base: %20s}
+message cgd_enc_fmt {Chiffrage:          %20s}
+message cgd_key_fmt {Taille de la clé:   %20d}
+message cgd_iv_fmt {Algorithme IV:      %20s}
+message cgd_keygen_fmt {La génération des clés: %16s}
+message cgd_verif_fmt {Méthode de vérification: %15s}
+message lvm_disks {Disques à VG:}
+message lvm_menufmt {   %-44s %20sM}
+message lvm_err_menufmt {   VIDER VG!}
+message lvm_disks_fmt {PV's: %34s}
+message lvm_name_fmt {Nom: %35s}
+message lvm_maxlv_fmt {MaxLogicalVolumes:  %20s}
+message lvm_maxpv_fmt {MaxPhysicalVolumes: %20s}
+message lvm_extsiz_fmt {PhysicalExtentSize: %20s}
+message lvm_name_ask {Nom?}
+message lvm_maxlv_ask {MaxLogicalVolumes?}
+message lvm_maxpv_ask {MaxPhysicalVolumes?}
+message lvm_extsiz_ask {PhysicalExtentSize (MB)?}
+message lvmlv_menufmt {      Logique volume %-35s %11uM}
+message lvmlv_name_fmt {Nom: %35s}
+message lvmlv_size_fmt {Taille:   %29dM}
+message lvmlv_ro_fmt {Read-only: %29s}
+message lvmlv_cont_fmt {Contiguë:  %29s}
+message lvmlv_extnum_fmt {LogicalExtentsNumber: %18s}
+message lvmlv_minor_fmt {Nombre mineur: %25s}
+message lvmlv_mirrors_fmt {Miroirs:   %29d}
+message lvmlv_regsiz_fmt {MirrorLogRegionSize:  %18s}
+message lvmlv_pers_fmt {Persistante numéro mineur: %13s}
+message lvmlv_readahsect_fmt {ReadAheadSectors: %22s}
+message lvmlv_stripes_fmt {Rayures:    %28s}
+message lvmlv_stripesiz_fmt {Stripesize: %28s}
+message lvmlv_zero_fmt {Remise à zéro de la KB d'abord: %8s}
+message lvmlv_name_ask {Nom?}
+message lvmlv_size_ask {Taille (MB)?}
+message lvmlv_extnum_ask {LogicalExtentsNumber?}
+message lvmlv_minor_ask {Numéro mineur?}
+message lvmlv_mirrors_ask {Miroirs?}
+message lvmlv_regsiz_ask {MirrorLogRegionSize?}
+message lvmlv_readahsect_ask {ReadAheadSectors?}
+message lvmlv_stripes_ask {Stripes?}
diff --git a/distrib/utils/sysinst/msg.mi.pl b/distrib/utils/sysinst/msg.mi.pl
index 9e58a3a..6b74d96 100644
--- a/distrib/utils/sysinst/msg.mi.pl
+++ b/distrib/utils/sysinst/msg.mi.pl
@@ -928,7 +928,7 @@ message other {inny  }
 message Perform_IPv6_autoconfiguration {Wykonac autokonfiguracje IPv6?}
 message Perform_DHCP_autoconfiguration {Wykonac autkonfiguracje DHCP?}
 message Root_shell {Powloka root'a}
-message Color_scheme {Schemat kolorów}
+message Color_scheme {Kolorystyka}
 message White_on_black {Bia³y na czarnym}
 message Black_on_white {Czarno na bia³ym}
 message White_on_blue {Bia³y na niebieskim}
@@ -988,10 +988,14 @@ message empty {***EMPTY***}
 message timezone {Timezone}
 message change_rootpw {Change root password}
 message enable_binpkg {Enable installation of binary packages}
-message enable_sshd {Enable sshd}
-message enable_ntpd {Enable ntpd}
+message enable_sshd {Umo¿liwiaæ sshd}
+message enable_ntpd {Umo¿liwiaæ ntpd}
 message run_ntpdate {Run ntpdate at boot}
 message enable_mdnsd {Enable mdnsd}
+message enable_xdm {Umo¿liwiaæ XDM}
+message enable_cgd {Umo¿liwiaæ CGD}
+message enable_lvm {Umo¿liwiaæ LVM}
+message enable_raid {Umo¿liwiaæ RAIDframe}
 message configmenu {Configure the additional items as needed.}
 message doneconfig {Finished configuring}
 message Install_pkgin {Install pkgin and update package summary}
@@ -1016,3 +1020,147 @@ message quit_install {Quit without installing pkgsrc} /*TODO*/
 message pkgin_failed 
 {Installation of pkgin failed, possibly because no binary packages  exist.  Please check the package path and try again.}
 message failed {Failed}
+
+message notsupported {Operacja nie jest obs³ugiwana!}
+message askfsmountadv {Montowania lub "raid" lub "cgd" lub "lvm"?}
+message partman {Partycje rozszerzone}
+message editbsdpart {Edytuj partycje BSD}
+message editmbr {Edytowaæ i zapisywaæ MBR}
+message switchgpt {Prze³±cz na GPT}
+message switchmbr {Prze³±cz na MBR}
+message renamedisk {Ustaw nazwê dysku}
+message fmtasraid {Format jak RAID}
+message fmtaslvm {Format jak LVM PV}
+message encrypt {Szyfrowanie}
+message setbootable {Bootable flaga}
+message erase {Bezpieczne kasowanie}
+message undo {Cofanie zmian}
+message unconfig {Zdekonfigurowanie}
+message edit {Edytuj}
+message doumount {Si³a umount}
+message fillzeros {Wype³nij zerami}
+message fillrandom {Wype³nij losowymi danymi}
+message fillcrypto {Wype³nij przez crypto danych}
+message raid0 {0 - brak parzysto¶ci, tylko proste rozk³adanie.}
+message raid1 {1 - Mirroring. Parytet jest lustro.}
+message raid4 {4 - Malowanie z parytetu przechowywanych w ostatniej czê¶ci.}
+message raid5 {5 - Malowanie z parytetu w tych wszystkich elementów.}
+
+message fremove {USUÑ}
+message remove {Usun±æ}
+message add {Dodaæ}
+message auto {auto}
+
+message removepartswarn {To usun±æ wszystkie partycje na dysku. Czy chcesz kontynuowaæ?}
+message saveprompt {Zapisz zmiany przed zakoñczeniem?}
+message cantsave {Zmiany nie mog± byæ zbawieni.}
+message noroot {No partycja zdefiniowana, nie mo¿e kontynuowaæ \n}
+message wannaunblock {Urz±dzenie jest zablokowane. Czy chcesz, aby zmusiæ go odblokowaæ i kontynuowaæ?}
+message wannatry {Czy chcesz spróbowaæ?}
+message create_cgd {Utwórz wolumen kryptograficznych (CGD)}
+message create_cnd {Utwórz wirtualnego obraz dysku (VND)}
+message create_vg {Utwórz grupê woluminów (LVM VG)}
+message create_lv {      Utwórz wolumin logiczny}
+message create_raid {Utwórz oprogramowania RAID}
+message updpmlist {Aktualizuj listê urz±dzeñ}
+message savepm {Zapisz zmiany}
+message pmblocked {ZABLOK.}
+message pmunchanged {BEZ ZMIAN}
+message pmsetboot {BOOT}
+message pmused {U¯YWANE}
+message pmmounted {(zamontowany)}
+message pmunused {(nieu¿ywany)}
+message pmgptdisk {Dysku z GPT}
+
+message finishpm {Zakoñcz partycjonowanie}
+message limitcount {Limit liczby urz±dzeñ zosta³ osi±gniêty!}
+message invaliddev {Nieprawid³owy urz±dzenie!}
+message avdisks {Dostêpne dysków:}
+message nofreedev {Nie mo¿na przydzieliæ wêze³!}
+message partman_header
+{Partition Manager. Wszystkie dyski, partycje oraz itp. tam wy¶wietlane.
+Pocz±tkowo sprawiaj± partycji MBR, a nastêpnie dokonaæ BSD etykietê.
+Je¶li chcesz korzystaæ z RAID, LVM lub CGD, wykonaj nastêpuj±ce kroki:
+1) Tworzenie partycji BSD z potrzebnego typu;
+2) Utwórz RAID / LVM VG / CGD korzystania z tych partycji; 3) Zapisz go;
+4) Tworzenie partycji dla RAID / CGD lub Logical Volumes dla LVM.}
+
+message raid_menufmt {   raid%d (level %1d) on %-34s %11uM}
+message raid_err_menufmt {   EMPTY RAID!}
+message raid_disks_fmt {Dyski: %33s}
+message raid_spares_fmt {Czê¶ci zamienne: %23s}
+message raid_level_fmt {Poziom RAID:     %23d}
+message raid_numrow_fmt {numRow:          %23d}
+message raid_numcol_fmt {numCol:          %23d}
+message raid_numspare_fmt {numSpare:        %23d}
+message raid_sectpersu_fmt {sectPerSU:        %22d}
+message raid_superpar_fmt {SUsPerParityUnit: %22d}
+message raid_superrec_fmt {SUsPerReconUnit:  %22d}
+message raid_nomultidim {Tablice wielowymiarowe nie s± obs³ugiwane!}
+message raid_numrow_ask {numRow?}
+message raid_numcol_ask {numCol?}
+message raid_numspare_ask {numSpare?}
+message raid_sectpersu_ask {sectPerSU?}
+message raid_superpar_ask {SUsPerParityUnit?}
+message raid_superrec_ask {SUsPerReconUnit?}
+message raid_disks {Dyski w RAID:}
+message vnd_err_menufmt {   ¦CIE¯KA NIE ZDEFINIOWANE!}
+message vnd_assgn_menufmt {   vnd%1d na %-51s ASSIGN}
+message vnd_menufmt {   vnd%1d na %-45s %11uM}
+message vnd_path_fmt {¦cie¿ka: %31s}
+message vnd_assgn_fmt {Przypisywanie istnieæ obraz: %11s}
+message vnd_size_fmt {Rozmiar: %30sM}
+message vnd_ro_fmt {Tylko do odczytu:   %20s}
+message vnd_geom_fmt {Ustaw geometriê rêcznie: %15s}
+message vnd_bps_fmt {Bajtów na sektorów: %20s}
+message vnd_spt_fmt {Sektory na ¶cie¿ki: %20s}
+message vnd_tpc_fmt {Utwory na cylinder: %20s}
+message vnd_cyl_fmt {Si³owniki:          %20s}
+message vnd_path_ask {File Path?}
+message vnd_size_ask {Rozmiar (MB)?}
+message vnd_bps_ask {Bajtów na sektor?}
+message vnd_spt_ask {Sektory na ¶cie¿kê?}
+message vnd_tpc_ask {Utwory na cylinder?}
+message vnd_cyl_ask {Cylindry}
+message cgd_err_menufmt {   DISK NIE ZDEFINIOWANE!}
+message cgd_menufmt {   cgd%1d %-48s %11uM}
+message cgd_dev_fmt {Urz±dzenie podstawy: %19s}
+message cgd_enc_fmt {Encyption:           %19s}
+message cgd_key_fmt {Rozmiar klucza:      %19d}
+message cgd_iv_fmt {Algorytm IV: %27s}
+message cgd_keygen_fmt {Generowanie kluczy: %20s}
+message cgd_verif_fmt {Metoda weryfikacji: %20s}
+message lvm_disks {Dyski w VG:}
+message lvm_menufmt {   %-44s %20sM}
+message lvm_err_menufmt {   EMPTY VG!}
+message lvm_disks_fmt {PV's: %34s}
+message lvm_name_fmt {Nazwa: %33s}
+message lvm_maxlv_fmt {MaxLogicalVolumes:  %20s}
+message lvm_maxpv_fmt {MaxPhysicalVolumes: %20s}
+message lvm_extsiz_fmt {PhysicalExtentSize: %20s}
+message lvm_name_ask {Nazwa?}
+message lvm_maxlv_ask {MaxLogicalVolumes?}
+message lvm_maxpv_ask {MaxPhysicalVolumes?}
+message lvm_extsiz_ask {PhysicalExtentSize (MB)?}
+message lvmlv_menufmt {      Wolumin logiczny%-34s %11uM}
+message lvmlv_name_fmt {Nazwa: %33s}
+message lvmlv_size_fmt {Rozmiar: %30dM}
+message lvmlv_ro_fmt {Read-only:       %23s}
+message lvmlv_cont_fmt {S±siaduj±cy:     %23s}
+message lvmlv_extnum_fmt {LogicalExtentsNumber: %18s}
+message lvmlv_minor_fmt {Mniejsza liczba: %23s}
+message lvmlv_mirrors_fmt {Mirrors:     %27d}
+message lvmlv_regsiz_fmt {MirrorLogRegionSize:  %18s}
+message lvmlv_pers_fmt {Trwa³e drobne numer:  %18s}
+message lvmlv_readahsect_fmt {ReadAheadSectors ceny: %17s}
+message lvmlv_stripes_fmt {Stripes:     %27s}
+message lvmlv_stripesiz_fmt {StripeSize:  %27s}
+message lvmlv_zero_fmt {Zerowanie pierwszej KB: %16s}
+message lvmlv_name_ask {Nazwa?}
+message lvmlv_size_ask {Rozmiar (MB)?}
+message lvmlv_extnum_ask {LogicalExtentsNumber?}
+message lvmlv_minor_ask {Mniejsza liczba?}
+message lvmlv_mirrors_ask {Mirrors?}
+message lvmlv_regsiz_ask {MirrorLogRegionSize?}
+message lvmlv_readahsect_ask {ReadAheadSectors?}
+message lvmlv_stripes_ask {Stripes?}
diff --git a/distrib/utils/sysinst/net.c b/distrib/utils/sysinst/net.c
index 90d6b7a..96a9ffb 100644
--- a/distrib/utils/sysinst/net.c
+++ b/distrib/utils/sysinst/net.c
@@ -1003,7 +1003,7 @@ do_ftp_fetch(const char *set_name, struct ftpinfo *f)
 }
 
 
-// TODO: check MSG_netnotup_continueanyway and MSG_netnotup
+// XXX: check MSG_netnotup_continueanyway and MSG_netnotup
 
 int
 get_pkgsrc(void)
